List a country's banks
GET
/api/v1/kyc/banks/{country}
const url = 'https://connect.payhero.africa/api/v1/kyc/banks/NG';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://connect.payhero.africa/api/v1/kyc/banks/NG \ --header 'Authorization: Basic <credentials>'The banks a country’s bank account check accepts. field names the
request field the chosen value belongs in — bank_code for Nigeria,
bank_id for Kenya.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”country
required
string
ISO country code. Case-insensitive.
Example
NGResponses
Section titled “Responses”The country’s bank directory.
Media typeapplication/json
The banks one country’s bank account check accepts.
object
country
string
label
string
field
The request field the chosen bank value belongs in.
string
check
string
banks
Array<object>
object
value
string
label
string
Example
{ "country": "NG", "label": "Nigeria", "field": "bank_code", "check": "bank_account_ng", "banks": [ { "value": "058", "label": "Guaranty Trust Bank Plc" } ]}Missing or invalid Basic auth credentials.
Media typeapplication/json
object
error_code
string
error_message
string
status_code
integer
Example
{ "error_code": "invalid_argument", "error_message": "the transaction amount is insufficient as it wont cater for cost: (4.62)", "status_code": 400}No bank directory for that country.
